## linux-grsec 4.7.8

=== debian/changelog ===
linux-grsec (4.7.8-1+grsec201610161720+1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 20 Oct 2016 16:24:24 +0200

linux-grsec (4.7.8-1+grsec201610161720+1) unstable; urgency=medium

  * Pull changes from src:linux up to 4.7.8-1.
  * Update grsecurity patch to 3.1-4.7.8-201610161720
  * debian/patches: disable patch already included in grsecurity:
    - bugfix/all/scsi-arcmsr-buffer-overflow-in-arcmsr_iop_message_xf.patch
  * debian/patches: disable patch with grsecurity conflict:
    - features/x86/x86-kaslr-x86-power-remove-x86-hibernation-restricti.patch

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 19 Oct 2016 22:53:02 +0200

linux (4.7.8-1) unstable; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.7.7
    - cpuset: handle race between CPU hotplug and cpuset_hotplug_work
    - cgroup: fix invalid controller enable rejections with cgroup namespace
    - scripts/recordmcount.c: account for .softirqentry.text
    - mm,ksm: fix endless looping in allocating memory when ksm enable
    - can: dev: fix deadlock reported after bus-off
    - [x86] init: Fix cr4_init_shadow() on CR4-less machines
    - drm/udl: fix line iterator in damage handling
    - drm/nouveau/fifo/nv04: avoid ramht race against cookie insertion
    - drm/radeon/si/dpm: add workaround for for Jet parts
    - [armel,armhf] 8616/1: dt: Respect property size when parsing CPUs
    - [armel,armhf] 8617/1: dma: fix dma_max_pfn()
    - mwifiex: illegal assignment
    - i40e: avoid null pointer dereference
    - pinctrl: Flag strict is a field in struct pinmux_ops
    - i2c: mux: demux-pinctrl: run properly with multiple instances
    - rcuperf: Don't treat gp_exp mis-setting as a WARN
    - [armhf,arm64] drivers/perf: arm_pmu: Fix leak in error path
    - perf/core: Use this_cpu_ptr() when stopping AUX events
    - [armhf,arm64] mmc: tegra: Only advertise UHS modes if IO regulator is
      present
    - nvmem: Declare nvmem_cell_read() consistently
    - hwmon: (adt7411) set bit 3 in CFG1 register
    - sched/cputime: Fix prev steal time accouting during CPU hotplug
    - iwlwifi: mvm: checksum IPv6 fragmented packet
    - iwlwifi: mvm: fix txq aggregation bug
    - iwlwifi: mvm: write the correct internal TXF index
    - iwlwifi: mvm: unmap the paging memory before freeing it
    - iwlwifi: pcie: fix access to scratch buffer
    - iwlwifi: mvm: free RX reorder buffer on restart
    - iwlwifi: mvm: avoid harmless -Wmaybe-uninialized warning
    - iwlwifi: mvm: don't use ret when not initialised
    - [armhf] usb: gadget: fsl_qe_udc: signedness bug in qe_get_frame()
    - mac80211: check skb_linearize() return value
    - i40iw: Protect req_resource_num update
    - i40iw: Add missing check for interface already open
    - i40iw: Change mem_resources pointer to a u8
    - i40iw: Fix double free of allocated_buffer
    - i40iw: Do not set self-referencing pointer to NULL after kfree
    - i40iw: Avoid writing to freed memory
    - i40iw: Add missing NULL check for MPA private data
    - i40iw: Send last streaming mode message for loopback connections
    - i40iw: Update hw_iwarp_state
    - i40iw: Receive notification events correctly
    - batman-adv: Add missing refcnt for last_candidate
    - batman-adv: fix elp packet data reservation
    - [armhf,arm64] irqchip/gicv3: Silence noisy DEBUG_PER_CPU_MAPS warning
    - [armhf] 8618/1: decompressor: reset ttbcr fields to use TTBR0 on ARMv7
    - [arm64] debug: avoid resetting stepping state machine when TIF_SINGLESTEP
    - [mips*] uprobes: remove incorrect set_orig_insn
    - [mips*] fix uretprobe implementation
    - [mips*/*-malta] Fix IOCU disable switch read for MIPS64
    - [mips*] uprobes: fix use of uninitialised variable
    - printk: fix parsing of "brl=" option
    - Bluetooth: split sk_filter in l2cap_sock_recv_cb
    - tpm: fix byte-order for the value read by tpm2_get_tpm_pt
    - regulator: pwm: Fix regulator ramp delay for continuous mode
    - [arm64] regulator: qcom_spmi: Add support for S4 supply on pm8941
    - [arm64] regulator: qcom_spmi: Add support for get_mode/set_mode on
      switches
    - [arm64] regulator: qcom_spmi: Update mvs1/mvs2 switches on pm8941
    - [arm64] regulator: qcom_smd: Fix voltage ranges for pm8x41
    - [arm64] regulator: qcom_smd: Fix voltage ranges for pma8084 ftsmps and
      pldo
    - [armhf] dts: imx6sx-sabreauto: Fix misspelled property
    - [armhf] sun5i: Fix typo in trip point temperature
    - pcmcia: ds: fix suspend/resume
    - [armhf] hwrng: omap - Fix assumption that runtime_get_sync will always
      succeed
    - blk-mq: actually hook up defer list when running requests
    - pstore: drop file opened reference count
    - fm10k: fix incorrect index calculation in fm10k_write_reta
    - iwlmvm: mvm: set correct state in smart-fifo configuration
    - [armhf,arm64] em28xx-i2c: rt_mutex_trylock() returns zero on failure
    - gspca: avoid unused variable warnings
    - ath9k: Fix programming of minCCA power threshold
    - qla2xxx: Fix BBCR offset
    - fnic: pci_dma_mapping_error() doesn't return an error code
    - tracing: Have HIST_TRIGGERS select TRACING
    - NFS/pnfs: Do not clobber existing pgio_done_cb in nfs4_proc_read_setup
    - svc: Avoid garbage replies when pc_func() returns rpc_drop_reply
    - NFS: Don't drop CB requests with invalid principals
    - pNFS/files: Fix layoutcommit after a commit to DS
    - pNFS/flexfiles: Fix layoutcommit after a commit to DS
    - watchdog: core: Clear WDOG_HW_RUNNING before calling the stop function
    - xprtrdma: Remove FMRs from the unmap list after unmapping
    - [x86] ASoC: Intel: Skylake: Fix error return code in skl_probe()
    - brcmfmac: Fix glob_skb leak in brcmf_sdiod_recv_chain
    - brcmsmac: Free packet if dma_mapping_error() fails in dma_rxfill
    - brcmsmac: Initialize power in brcms_c_stf_ss_algo_channel_get()


=== debian/control ===
Source: linux-grsec
Section: kernel
Priority: optional
Maintainer: Yves-Alexis Perez <corsac@debian.org>
Standards-Version: 3.9.5
Build-Depends: debhelper, python3:any, quilt, cpio <!stage1>, xz-utils <!stage1>, kernel-wedge (>= 2.93~) <!stage1>, kmod <!stage1>, bc <!stage1>, libssl-dev:native <!stage1>, libssl-dev [linux-any] <!stage1 !pkg.linux.notools cross>, openssl:native <!stage1>, asciidoc <!stage1 !nodoc !pkg.linux.notools>, xmlto <!stage1 !nodoc !pkg.linux.notools>, bison <!stage1 !pkg.linux.notools !nopython>, flex:native <!stage1 !pkg.linux.notools !nopython>, gcc-multilib [amd64 ppc64 s390x sparc64] <!stage1 !pkg.linux.notools !nopython>, libaudit-dev <!stage1 !pkg.linux.notools !nopython>, libdw-dev <!stage1 !pkg.linux.notools !nopython>, libelf-dev <!stage1 !pkg.linux.notools !nopython>, libiberty-dev <!stage1 !pkg.linux.notools !nopython>, libnewt-dev <!stage1 !pkg.linux.notools !nopython>, libnuma-dev [amd64 arm64 hppa i386 mips mips64 mips64el mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el powerpc powerpcspe ppc64 ppc64el sparc x32] <!stage1 !pkg.linux.notools !nopython>, libperl-dev <!stage1 !pkg.linux.notools !nopython>, libunwind8-dev [amd64 armel armhf arm64 i386] <!stage1 !pkg.linux.notools !nopython>, python-dev <!stage1 !pkg.linux.notools !nopython>, autoconf <!stage1 !pkg.linux.notools>, automake <!stage1 !pkg.linux.notools>, libtool <!stage1 !pkg.linux.notools>, libglib2.0-dev <!stage1 !pkg.linux.notools>, libudev-dev <!stage1 !pkg.linux.notools>, libwrap0-dev <!stage1 !pkg.linux.notools>, rsync <!stage1 !pkg.linux.notools>, libpci-dev <!stage1 !pkg.linux.notools>, dh-python <!stage1>, dh-systemd <!stage1 !pkg.linux.notools>, gcc-4.9 [amd64 i386], gcc-4.9-plugin-dev [amd64 i386] <!stage1>
Build-Depends-Indep: patchutils <!stage1>, xmlto <!stage1 !nodoc>
Homepage: https://www.kernel.org/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/linux-grsec.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/linux-grsec.git

Package: linux-grsec-source-4.7
Architecture: all
Section: kernel
Depends: binutils, xz-utils, ${misc:Depends}
Recommends: libc6-dev | libc-dev, gcc, make, bc
Suggests: libncurses-dev | ncurses-dev, libqt4-dev, pkg-config
Description: Linux kernel source for version 4.7 with Debian patches
 This package provides source code for the Linux kernel version 4.7. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-grsec-support-4.7.0-1
Architecture: all
Section: devel
Depends: ${python3:Depends}, ${misc:Depends}
Description: Support files for Linux 4.7
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-headers-4.7.0-1-common-grsec
Architecture: amd64 i386
Depends: ${misc:Depends}
Description: Common header files for Linux 4.7.0-1-grsec
 This package provides the architecture-specific common kernel header files
 for Linux kernel version 4.7.0-1-grsec, generally used for building
 out-of-tree kernel modules.  To obtain a complete set of headers you also
 need to install the linux-headers-4.7.0-1-(flavour) package, matching the
 flavour of the kernel you intend the build for.
Build-Profiles: <!stage1>

Package: linux-image-4.7.0-1-grsec-amd64
Architecture: amd64
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, linux-grsec-base [amd64], initramfs-tools (>= 0.110~) [amd64] | linux-initramfs-tool [amd64]
Recommends: firmware-linux-free, ${kernel:Recommends}, gradm2 [amd64], paxctl [amd64], attr [amd64]
Suggests: linux-doc-4.7, debian-kernel-handbook, grub-pc [amd64] | grub-efi-amd64 [amd64] | extlinux [amd64]
Breaks: xserver-xorg-input-vmmouse (<< 1:13.0.99) [amd64], initramfs-tools (<< 0.110~)
Description: Linux 4.7 for 64-bit PCs, Grsecurity protection
 The Linux kernel 4.7 and modules for use on PCs with AMD64, Intel 64 or
 VIA Nano processors.
 .
 This kernel includes support for Grsecurity and PaX security hardening
 features
Build-Profiles: <!stage1>

Package: linux-headers-4.7.0-1-grsec-amd64
Architecture: amd64
Depends: linux-headers-4.7.0-1-common-grsec (= ${binary:Version}), linux-kbuild-4.7, ${misc:Depends}, gcc-4.9, gcc-4.9-plugin-dev
Description: Header files for Linux 4.7.0-1-grsec-amd64
 This package provides the architecture-specific kernel header files for
 Linux kernel 4.7.0-1-grsec-amd64, generally used for building out-of-tree
 kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-4.7.0-1-grsec-amd64, and can be used for building
 modules that load into the kernel provided by the
 linux-image-4.7.0-1-grsec-amd64 package.
Build-Profiles: <!stage1>

Package: linux-image-4.7.0-1-grsec-686-pae
Architecture: i386
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, linux-grsec-base [i386], initramfs-tools (>= 0.110~) [i386] | linux-initramfs-tool [i386]
Recommends: firmware-linux-free, ${kernel:Recommends}, gradm2 [i386], paxctl [i386], attr [i386]
Suggests: linux-doc-4.7, debian-kernel-handbook, grub-pc [i386] | extlinux [i386]
Breaks: xserver-xorg-input-vmmouse (<< 1:13.0.99) [i386], initramfs-tools (<< 0.110~)
Description: Linux 4.7 for modern PCs, Grsecurity protection
 The Linux kernel 4.7 and modules for use on PCs with one or more
 processors supporting PAE.
 .
 This kernel includes support for Grsecurity and PaX security hardening
 features
 .
 This kernel requires PAE (Physical Address Extension). This feature is
 supported by the Intel Pentium Pro/II/III/4/4M/D, Xeon, Core and Atom; AMD
 Geode NX, Athlon (K7), Duron, Opteron, Sempron, Turion or Phenom;
 Transmeta Efficeon; VIA C7; and some other processors.
Build-Profiles: <!stage1>

Package: linux-headers-4.7.0-1-grsec-686-pae
Architecture: i386
Depends: linux-headers-4.7.0-1-common-grsec (= ${binary:Version}), linux-kbuild-4.7, ${misc:Depends}, gcc-4.9, gcc-4.9-plugin-dev
Description: Header files for Linux 4.7.0-1-grsec-686-pae
 This package provides the architecture-specific kernel header files for
 Linux kernel 4.7.0-1-grsec-686-pae, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-4.7.0-1-grsec-686-pae, and can be used for building
 modules that load into the kernel provided by the
 linux-image-4.7.0-1-grsec-686-pae package.
Build-Profiles: <!stage1>

=== debian/tests/control ===
Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-4.7.0-1-grsec-amd64 [amd64], linux-image-4.7.0-1-grsec-686-pae [i386]
Classes: smp

## linux-grsec 4.8.15

=== Makefile ===
VERSION = 4
PATCHLEVEL = 8
SUBLEVEL = 15
EXTRAVERSION =
NAME = Psychotic Stoned Sheep

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# o Do not use make's built-in rules and variables
#   (this increases performance and avoids hard-to-debug behaviour);
# o Look for make include files relative to root of kernel src
MAKEFLAGS += -rR --include-dir=$(CURDIR)

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# Avoid interference with shell env settings
unexport GREP_OPTIONS

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed.
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.
#
# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(filter 4.%,$(MAKE_VERSION)),)	# make-4
ifneq ($(filter %s ,$(firstword x$(MAKEFLAGS))),)
  quiet=silent_
endif
else					# make-3.8x
ifneq ($(filter s% -s%,$(MAKEFLAGS)),)
  quiet=silent_
endif
endif

export quiet Q KBUILD_VERBOSE

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.

# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(words $(subst :, ,$(CURDIR))), 1)
  $(error main directory cannot contain spaces nor colons)
endif

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell mkdir -p $(KBUILD_OUTPUT) && cd $(KBUILD_OUTPUT) \
								&& /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error failed to create output directory "$(saved-output)"))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	@:

sub-make:
	$(Q)$(MAKE) -C $(KBUILD_OUTPUT) KBUILD_SRC=$(CURDIR) \
	-f $(CURDIR)/Makefile $(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# Do not print "Entering directory ...",
# but we want to display it when entering to the output directory
# so that IDEs/editors are able to understand relative filenames.
MAKEFLAGS += --no-print-directory

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/sparse.txt" for more details, including
# where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

ifeq ($(KBUILD_SRC),)
        # building in the source tree
        srctree := .
else
        ifeq ($(KBUILD_SRC)/,$(dir $(CURDIR)))
                # building in a subdirectory of the source tree
                srctree := ..
        else
                srctree := $(KBUILD_SRC)
        endif
endif
objtree		:= .
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH

# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/x86/ -e s/x86_64/x86/ \
				  -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ \
				  -e s/ppc.*/powerpc/ -e s/mips.*/mips/ \
				  -e s/sh[234].*/sh/ -e s/aarch64.*/arm64/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# A third alternative is to store a setting in .config so that plain
# "make" in the configured kernel build directory always uses that.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
ARCH		?= $(SUBARCH)
CROSS_COMPILE	?= $(CONFIG_CROSS_COMPILE:"%"=%)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc32)
       SRCARCH := sparc
endif
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

# Additional ARCH settings for tile
ifeq ($(ARCH),tilepro)
       SRCARCH := tile
endif
ifeq ($(ARCH),tilegx)
       SRCARCH := tile
endif

# Where to locate arch specific headers
hdr-arch  := $(SRCARCH)

KCONFIG_CONFIG	?= .config
export KCONFIG_CONFIG

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTCC       = gcc
HOSTCXX      = g++
HOSTCFLAGS   = -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 -fomit-frame-pointer -std=gnu89
HOSTCXXFLAGS = -O2

ifeq ($(shell $(HOSTCC) -v 2>&1 | grep -c "clang version"), 1)
HOSTCFLAGS  += -Wno-unused-value -Wno-unused-parameter \
		-Wno-missing-field-initializers -fno-delete-null-pointer-checks
endif

# Decide whether to build built-in, modular, or both.
# Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

# If we have only "make modules", don't compile built-in objects.
# When we're building modules with modversions, we need to consider
# the built-in objects during the descend as well, in order to
# make sure the checksums are up to date before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

# If we have "make <whatever> modules", compile modules
# in addition to whatever we do anyway.
# Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

# We need some generic definitions (do not try to remake the file).
scripts/Kbuild.include: ;
include scripts/Kbuild.include

# Make variables (CC, etc...)
AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
INSTALLKERNEL  := installkernel
DEPMOD		= /sbin/depmod
PERL		= perl
PYTHON		= python
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ \
		  -Wbitwise -Wno-return-void $(CF)
NOSTDINC_FLAGS  =
CFLAGS_MODULE   =
AFLAGS_MODULE   =
LDFLAGS_MODULE  =
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=
LDFLAGS_vmlinux =
CFLAGS_GCOV	= -fprofile-arcs -ftest-coverage -fno-tree-loop-im
CFLAGS_KCOV	:= $(call cc-option,-fsanitize-coverage=trace-pc,)


# Use USERINCLUDE when you must reference the UAPI directories only.
USERINCLUDE    := \
		-I$(srctree)/arch/$(hdr-arch)/include/uapi \
		-I$(objtree)/arch/$(hdr-arch)/include/generated/uapi \
		-I$(srctree)/include/uapi \
		-I$(objtree)/include/generated/uapi \
                -include $(srctree)/include/linux/kconfig.h

# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
LINUXINCLUDE    := \
		-I$(srctree)/arch/$(hdr-arch)/include \
		-I$(objtree)/arch/$(hdr-arch)/include/generated/uapi \
		-I$(objtree)/arch/$(hdr-arch)/include/generated \

=== debian/changelog ===
linux-grsec (4.8.15-1+grsec201612151923+1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * debian/control: revert build-depending on recent debhelper, not available
    in jessie.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 29 Dec 2016 13:35:47 +0100

linux-grsec (4.8.15-1+grsec201612151923+1) unstable; urgency=medium

  * Merge changes from src:linux up to 4.8.15-1.
    - include the flex change, fixing FTBFS.                    closes: #848803
  * Update grsecurity to 3.1-4.8.15-201612151923.
  * debian/patches:
    - bugfix/all/net-handle-no-dst-on-skb-in-icmp6_send.patch disabled,
      already included in grsecurity.
  * set CONFIG_LEGACY_VSYSCALL_NONE following src:linux.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 20 Dec 2016 16:13:41 +0100

linux (4.8.15-1) unstable; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.8.12
    - [x86] iommu/vt-d: Fix PASID table allocation
    - [x86] iommu/vt-d: Fix IOMMU lookup for SR-IOV Virtual Functions
    - [x86] KVM: fix out-of-bounds access in lapic
    - [x86] KVM: x86: drop error recovery in em_jmp_far and em_ret_far
      (CVE-2016-9756)
    - [x86] KVM: fix out-of-bounds accesses of rtc_eoi map (CVE-2016-9777)
    - [x86] KVM: check for pic and ioapic presence before use
    - [arm64, armhf] usb: chipidea: move the lock initialization to core file
    - USB: serial: cp210x: add ID for the Zone DPMX
    - USB: serial: ftdi_sio: add support for TI CC3200 LaunchPad
    - scsi: mpt3sas: Fix secure erase premature termination
    - cfg80211: limit scan results cache size
    - apparmor: fix change_hat not finding hat after policy replacement
    - NFSv4.x: hide array-bounds warning
    - [x86] fpu: Fix invalid FPU ptrace state after execve()
    - [x86] traps: Ignore high word of regs->cs in early_fixup_exception()
    - perf/core: Fix address filter parser
    - perf/x86/intel: Cure bogus unwind from PEBS entries
    - [x86] thermal/powerclamp: add back module device table
    - [hppa/parisc] Fix races in parisc_setup_cache_timing()
    - [hppa/parisc] Switch to generic sched_clock implementation
    - [hppa/parisc] Fix race in pci-dma.c
    - [hppa/parisc] Also flush data TLB in flush_icache_page_asm
    - mpi: Fix NULL ptr dereference in mpi_powm()
    - X.509: Fix double free in x509_cert_parse()
    - xc2028: Fix use-after-free bug properly
    - [powerpc] Set missing wakeup bit in LPCR on POWER9
    - [powerpc] mm: Fixup kernel read only mapping
    - [powerpc] boot: Fix the early OPAL console wrappers
    - can: bcm: fix support for CAN FD frames
    - mm, oom: stop pre-mature high-order OOM killer invocations
    - flow_dissect: call init_default_flow_dissectors() earlier
    - scsi: mpt3sas: Unblock device after controller reset
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.8.13
    - libata-scsi: Fixup ata_gen_passthru_sense()
    - scsi: hpsa: use bus '3' for legacy HBA devices
    - scsi: libfc: fix seconds_since_last_reset miscalculation
    - mm, thp: propagation of conditional compilation in khugepaged.c
    - thp: fix corner case of munlock() of PTE-mapped THPs
    - zram: fix unbalanced idr management at hot removal
    - mm: fix false-positive WARN_ON() in truncate/invalidate for hugetlb
    - ovl: fix d_real() for stacked fs
    - Input: change KEY_DATA from 0x275 to 0x277
    - Input: psmouse - disable automatic probing of BYD touchpads
    - rcu: Fix soft lockup for rcu_nocb_kthread
    - mm: workingset: fix NULL ptr in count_shadow_nodes
    - PCI: Export pcie_find_root_port
    - PCI: Set Read Completion Boundary to 128 iff Root Port supports it
      (_HPX)
    - mwifiex: printk() overflow with 32-byte SSIDs
    - [arm64] KVM: vgic: Don't notify EOI for non-SPIs
    - [x86] drm/i915: Don't touch NULL sg on i915_gem_object_get_pages_gtt()
      error
    - [x86] drm/i915: drop the struct_mutex when wedged or trying to reset
    - [x86] drm/amdgpu: fix power state when port pm is unavailable
    - drm/radeon: fix power state when port pm is unavailable
    - [x86] drm/amdgpu: fix check for port PM availability
    - drm/radeon: fix check for port PM availability
    - [arm64] dts: juno: fix cluster sleep state entry latency on all SoC
      versions
    - KVM: use after free in kvm_ioctl_create_device()
    - pwm: Fix device reference leak
    - [x86] perf: Restore TASK_SIZE check on frame pointer
    - [armhf] clk: sunxi: Fix M factor computation for APB1
    - batman-adv: Detect missing primaryif during tp_send as error
    - [arm64] cpufeature: Schedule enable() calls instead of calling them via
      IPI
    - [arm64] mm: Set PSTATE.PAN from the cpu_enable_pan() call
    - [arm64] suspend: Reconfigure PSTATE after resume from idle
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.8.14
    - gro_cells: mark napi struct as not busy poll candidates
    - virtio-net: add a missing synchronize_net()
    - [armhf] net: dsa: b53: Fix VLAN usage and how we treat CPU port
    - net: check dead netns for peernet2id_alloc()
    - ip6_tunnel: disable caching when the traffic class is inherited
    - net: sky2: Fix shutdown crash
    - af_unix: conditionally use freezable blocking calls in read
    - rtnetlink: fix FDB size computation
    - l2tp: fix racy SOCK_ZAPPED flag check in l2tp_ip{,6}_bind()
    - rtnl: fix the loop index update error in rtnl_dump_ifinfo()
    - ipv6: bump genid when the IFA_F_TENTATIVE flag is clear
    - udplite: call proper backlog handlers
    - [armhf] net: dsa: bcm_sf2: Ensure we re-negotiate EEE during after link
      change
    - net, sched: respect rcu grace period on cls destruction
    - [armhf] net: dsa: fix unbalanced dsa_switch_tree reference counting
    - net/sched: pedit: make sure that offset is valid
    - netlink: Call cb->done from a worker thread
    - netlink: Do not schedule work from sk_destruct
    - net/dccp: fix use-after-free in dccp_invalid_packet


=== debian/control ===
Source: linux-grsec
Section: kernel
Priority: optional
Maintainer: Yves-Alexis Perez <corsac@debian.org>
Standards-Version: 3.9.5
Build-Depends: debhelper, python3:any, quilt, cpio <!stage1>, xz-utils <!stage1>, kernel-wedge (>= 2.93~) <!stage1>, kmod <!stage1>, bc <!stage1>, libssl-dev:native <!stage1>, libssl-dev [linux-any] <!stage1 !pkg.linux.notools cross>, openssl (>= 1.1.0-1~) <!stage1> | openssl:native <!stage1>, asciidoc <!stage1 !nodoc !pkg.linux.notools>, xmlto <!stage1 !nodoc !pkg.linux.notools>, bison <!stage1 !pkg.linux.notools !nopython>, flex (>= 2.6.1-1.1~) <!stage1 !pkg.linux.notools !nopython> | flex:native <!stage1 !pkg.linux.notools !nopython>, gcc-multilib [amd64 ppc64 s390x sparc64] <!stage1 !pkg.linux.notools !nopython>, libaudit-dev <!stage1 !pkg.linux.notools !nopython>, libdw-dev <!stage1 !pkg.linux.notools !nopython>, libelf-dev <!stage1 !pkg.linux.notools !nopython>, libiberty-dev <!stage1 !pkg.linux.notools !nopython>, libnewt-dev <!stage1 !pkg.linux.notools !nopython>, libnuma-dev [amd64 arm64 hppa i386 mips mips64 mips64el mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el powerpc powerpcspe ppc64 ppc64el sparc x32] <!stage1 !pkg.linux.notools !nopython>, libperl-dev <!stage1 !pkg.linux.notools !nopython>, libunwind8-dev [amd64 armel armhf arm64 i386] <!stage1 !pkg.linux.notools !nopython>, python-dev <!stage1 !pkg.linux.notools !nopython>, autoconf <!stage1 !pkg.linux.notools>, automake <!stage1 !pkg.linux.notools>, libtool <!stage1 !pkg.linux.notools>, libglib2.0-dev <!stage1 !pkg.linux.notools>, libudev-dev <!stage1 !pkg.linux.notools>, libwrap0-dev <!stage1 !pkg.linux.notools>, rsync <!stage1 !pkg.linux.notools>, libpci-dev <!stage1 !pkg.linux.notools>, dh-python <!stage1>, dh-systemd <!stage1 !pkg.linux.notools>, gcc-4.9 [amd64 i386], gcc-4.9-plugin-dev [amd64 i386] <!stage1>
Build-Depends-Indep: patchutils <!stage1>, python-sphinx <!stage1 !nodoc>, python-sphinx-rtd-theme <!stage1 !nodoc>, xmlto <!stage1 !nodoc>
Homepage: https://www.kernel.org/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/linux-grsec.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/linux-grsec.git

Package: linux-grsec-source-4.8
Architecture: all
Section: kernel
Depends: binutils, xz-utils, ${misc:Depends}
Recommends: libc6-dev | libc-dev, gcc, make, bc
Suggests: libncurses-dev | ncurses-dev, libqt4-dev, pkg-config
Description: Linux kernel source for version 4.8 with Debian patches
 This package provides source code for the Linux kernel version 4.8. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-grsec-support-4.8.0-2
Architecture: all
Section: devel
Depends: ${python3:Depends}, ${misc:Depends}
Description: Support files for Linux 4.8
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-headers-4.8.0-2-common-grsec
Architecture: amd64 i386
Depends: ${misc:Depends}
Description: Common header files for Linux 4.8.0-2-grsec
 This package provides the architecture-specific common kernel header files
 for Linux kernel version 4.8.0-2-grsec, generally used for building
 out-of-tree kernel modules.  To obtain a complete set of headers you also
 need to install the linux-headers-4.8.0-2-(flavour) package, matching the
 flavour of the kernel you intend the build for.
Build-Profiles: <!stage1>

Package: linux-image-4.8.0-2-grsec-amd64
Architecture: amd64
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, linux-grsec-base [amd64], initramfs-tools (>= 0.110~) [amd64] | linux-initramfs-tool [amd64]
Recommends: firmware-linux-free, ${kernel:Recommends}, gradm2 [amd64], paxctl [amd64], attr [amd64]
Suggests: linux-doc-4.8, debian-kernel-handbook, grub-pc [amd64] | grub-efi-amd64 [amd64] | extlinux [amd64]
Breaks: xserver-xorg-input-vmmouse (<< 1:13.0.99) [amd64], initramfs-tools (<< 0.110~)
Description: Linux 4.8 for 64-bit PCs, Grsecurity protection
 The Linux kernel 4.8 and modules for use on PCs with AMD64, Intel 64 or
 VIA Nano processors.
 .
 This kernel includes support for Grsecurity and PaX security hardening
 features
Build-Profiles: <!stage1>

Package: linux-headers-4.8.0-2-grsec-amd64
Architecture: amd64
Depends: linux-headers-4.8.0-2-common-grsec (= ${binary:Version}), linux-kbuild-4.8, ${misc:Depends}, gcc-4.9, gcc-4.9-plugin-dev
Description: Header files for Linux 4.8.0-2-grsec-amd64
 This package provides the architecture-specific kernel header files for
 Linux kernel 4.8.0-2-grsec-amd64, generally used for building out-of-tree
 kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-4.8.0-2-grsec-amd64, and can be used for building
 modules that load into the kernel provided by the
 linux-image-4.8.0-2-grsec-amd64 package.
Build-Profiles: <!stage1>

Package: linux-image-4.8.0-2-grsec-686-pae
Architecture: i386
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, linux-grsec-base [i386], initramfs-tools (>= 0.110~) [i386] | linux-initramfs-tool [i386]
Recommends: firmware-linux-free, ${kernel:Recommends}, gradm2 [i386], paxctl [i386], attr [i386]
Suggests: linux-doc-4.8, debian-kernel-handbook, grub-pc [i386] | extlinux [i386]
Breaks: xserver-xorg-input-vmmouse (<< 1:13.0.99) [i386], initramfs-tools (<< 0.110~)
Description: Linux 4.8 for modern PCs, Grsecurity protection
 The Linux kernel 4.8 and modules for use on PCs with one or more
 processors supporting PAE.
 .
 This kernel includes support for Grsecurity and PaX security hardening
 features
 .
 This kernel requires PAE (Physical Address Extension). This feature is
 supported by the Intel Pentium Pro/II/III/4/4M/D, Xeon, Core and Atom; AMD
 Geode NX, Athlon (K7), Duron, Opteron, Sempron, Turion or Phenom;
 Transmeta Efficeon; VIA C7; and some other processors.
Build-Profiles: <!stage1>

Package: linux-headers-4.8.0-2-grsec-686-pae
Architecture: i386
Depends: linux-headers-4.8.0-2-common-grsec (= ${binary:Version}), linux-kbuild-4.8, ${misc:Depends}, gcc-4.9, gcc-4.9-plugin-dev
Description: Header files for Linux 4.8.0-2-grsec-686-pae
 This package provides the architecture-specific kernel header files for
 Linux kernel 4.8.0-2-grsec-686-pae, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-4.8.0-2-grsec-686-pae, and can be used for building
 modules that load into the kernel provided by the
 linux-image-4.8.0-2-grsec-686-pae package.
Build-Profiles: <!stage1>

=== debian/rules ===
#!/usr/bin/make -f

SHELL    := sh -e
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
SOURCE := $(shell dpkg-parsechangelog -SSource)
VERSION := $(shell dpkg-parsechangelog -SVersion)
VERSION_UPSTREAM := $(shell echo "$(VERSION)" | sed -e 's,-[^-]*$$,,')
VERSION_BINNMU := $(shell echo "$(VERSION)" | sed -rne 's,.*\+b([0-9]+)$$,\1,p')

include debian/rules.defs

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  DEBIAN_KERNEL_JOBS := $(subst parallel=,,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif
ifdef DEBIAN_KERNEL_JOBS
  MAKEFLAGS += -j$(DEBIAN_KERNEL_JOBS)
endif
BUILD_STAGE1 := $(filter stage1,$(DEB_BUILD_PROFILES))
ifneq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
# This only disables building the linux-doc and linux-manual packages.
# The rules for tools packages check separately for the 'nodoc' profile.
  MAKEFLAGS += DO_DOCS=False
endif
ifneq (,$(filter pkg.linux.notools,$(DEB_BUILD_PROFILES)))
  MAKEFLAGS += DO_TOOLS=False
endif

.NOTPARALLEL:

source: debian/control
	dh_testdir
	$(MAKE) -f debian/rules.gen source

setup: debian/control
	dh_testdir
	$(MAKE) -f debian/rules.gen setup_$(DEB_HOST_ARCH)

build: build-arch build-indep

build-arch: debian/control
	dh_testdir
ifndef BUILD_STAGE1
	$(MAKE) -f debian/rules.gen build-arch_$(DEB_HOST_ARCH)
endif

build-indep: debian/control
	dh_testdir
ifndef BUILD_STAGE1
	$(MAKE) -f debian/rules.gen build-indep
endif

binary:	binary-indep binary-arch

binary-arch:
	dh_testdir
ifdef BUILD_STAGE1
	$(MAKE) -f debian/rules.gen binary-libc-dev_$(DEB_HOST_ARCH)
else
	$(MAKE) -f debian/rules.gen binary-arch_$(DEB_HOST_ARCH)
endif

binary-indep:
	dh_testdir
ifndef BUILD_STAGE1
	$(MAKE) -f debian/rules.gen binary-indep
endif

DIR_ORIG = ../orig/$(SOURCE)-$(VERSION_UPSTREAM)
TAR_ORIG_NAME = $(SOURCE)_$(VERSION_UPSTREAM).orig.tar.xz
TAR_ORIG = $(firstword $(wildcard ../$(TAR_ORIG_NAME)) $(wildcard ../orig/$(TAR_ORIG_NAME)))

orig: $(DIR_ORIG)
	rsync --delete --exclude /debian --exclude .svk --exclude .svn --exclude .git --link-dest=$(DIR_ORIG)/ -a $(DIR_ORIG)/ .
	QUILT_PATCHES='$(CURDIR)/debian/patches' QUILT_PC=.pc quilt push --quiltrc - -a -q --fuzz=0

$(DIR_ORIG):
ifeq ($(TAR_ORIG),)
	$(error Cannot find orig tarball $(TAR_ORIG_NAME))
else
	mkdir -p ../orig
	tar -C ../orig -xaf $(TAR_ORIG)
endif

maintainerclean:
	rm -f debian/config.defines.dump debian/control debian/control.md5sum debian/linux-headers-* debian/linux-image-* debian/rules.gen
	rm -rf $(filter-out debian .svk .svn .git, $(wildcard * .[^.]*))

clean: debian/control
	dh_testdir
	rm -rf $(BUILD_DIR) $(STAMPS_DIR) debian/lib/python/debian_linux/*.pyc debian/lib/python/debian_linux/__pycache__ $$(find debian -maxdepth 1 -type d -name 'linux-*') debian/*-modules-*-di* debian/kernel-image-*-di* debian/xen-linux-system-* debian/*-tmp
	dh_clean

CONTROL_FILES = debian/changelog $(wildcard debian/templates/*.in)
CONTROL_FILES += debian/config/defines $(wildcard debian/config/*/defines) $(wildcard debian/config/*/*/defines)
CONTROL_FILES += $(wildcard debian/installer/*/kernel-versions) $(wildcard debian/installer/*/package-list) debian/installer/package-list
debian/control debian/rules.gen: debian/bin/gencontrol.py $(CONTROL_FILES)
ifeq ($(wildcard debian/control.md5sum),)
	$(MAKE) -f debian/rules debian/control-real
else ifeq ($(VERSION_BINNMU),)
	md5sum --check debian/control.md5sum --status || \
		$(MAKE) -f debian/rules debian/control-real
else
	grep -v debian/changelog debian/control.md5sum | md5sum --check - --status || \
		$(MAKE) -f debian/rules debian/control-real
endif

debian/control-real: debian/bin/gencontrol.py $(CONTROL_FILES)
	$<
	md5sum $^ > debian/control.md5sum
	@echo
	@echo This target is made to fail intentionally, to make sure
	@echo that it is NEVER run during the automated build. Please
	@echo ignore the following error, the debian/control file has
	@echo been generated SUCCESSFULLY.
	@echo
	exit 1

.PHONY: clean build setup binary-indep binary-arch binary

=== debian/tests/control ===
Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-4.8.0-2-grsec-amd64 [amd64], linux-image-4.8.0-2-grsec-686-pae [i386]
Classes: smp
